#
#  $Author: pkubota $
#  $Date: 2007/03/06 14:43:32 $
#  $Revision: 1.3 $
#
# $Id: Makefile.tupay,v 1.3 2007/03/06 14:43:32 pkubota Exp $
#
# Makefile for old versions of OSF.
# Use Makefile.sx6 for Digital Unix 4.0 and above
#
#       -finit-local-zero
#       -finit-integer=n
#       -finit-real=<zero|inf|-inf|nan>
#       -finit-logical=<true|false>
#       -finit-character=n
#       -ffpe-trap=invalid,zero,overflow -g -static

F90=gfortran -g -fbounds-check -Wall -fbacktrace -finit-real=nan -ffpe-trap=invalid,zero,overflow -g -static -fconvert=big-endian  -finit-integer=-1 -ffree-line-length-none ${OPENMP} -O0
AR=ar
FTRACE= 
OPENMP=
F90_32FLAGS = 
F90_32BITS = $(FTRACE) $(OPENMP) 
LOADFLAG= -static
#
#   Paulo Yoshio Kubota - DMD/CPTEC - May 2011
#
EXEC	= SoilMoisture.exe

.SUFFIXES: .o .f90 .F90 .c 
#
# *****************************************************************
#
OBJS = 	SoilMoisture.o 

SRC	= $(OBJ_MOD:.o=.f90) $(OBJS:.o=.f90) $(OBJS_CC:.o=.c)

$(EXEC): $(OBJS)
	$(F90) -o $(EXEC) $(F90FLAG) $(LOADFLAG) $(OBJS)  


SoilMoisture.o: 	SoilMoisture.f90
	$(F90)  $(F90FLAG)  -c SoilMoisture.f90


clean:
	-rm -f $(OBJS)
	-rm -f $(OBJS_CC)
	-rm -f $(EXEC)
	-rm -f *.mod

.F90.o :
	$(F90) $(F90FLAG)   -c $<

.f90.o:
	$(F90) $(F90FLAG) -c $< 
.c.o:
	$(CC) $(CFLAGS) $(DEFS) -c $< 
